MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Thread Class Reference

`#include <Thread.hxx>`

## Public Member Functions
| Thread ()=default
| Thread (const Thread &)=delete
| ~Thread ()
bool | IsDefined () const
gcc_pure bool | IsInside () const
| Check if this thread is the current thread. More...
bool | Start (void(*f)(void *ctx), void *ctx)
void | Join ()

## Detailed Description

Definition at line 34 of file Thread.hxx.

## Constructor & Destructor Documentation

Thread::Thread | ( |  | ) |
| default

Thread::Thread | ( | const Thread & |  | ) |
| delete

Thread::~Thread | ( |  | ) |
| inline

Definition at line 61 of file Thread.hxx.

## Member Function Documentation

bool Thread::IsDefined | ( |  | ) | const
| inline

Definition at line 68 of file Thread.hxx.

gcc_pure bool Thread::IsInside | ( |  | ) | const
| inline

Check if this thread is the current thread.

Definition at line 80 of file Thread.hxx.

void Thread::Join | ( |  | ) |

bool Thread::Start | ( | void(*)(void *ctx) | f,
|  | void * | ctx
| ) |  |

The documentation for this class was generated from the following file:

- thread/Thread.hxx